Net::Packet::UDP(3)

NAME
Net::Packet::UDP - User Datagram Protocol layer 4 object

SYNOPSIS
   use Net::Packet::Consts qw(:udp);
   require Net::Packet::UDP;

   # Build a layer
   my $layer = Net::Packet::UDP->new(
      dst => 31222,
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::UDP->new(raw = $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the UDP layer.

RFC: ftp://ftp.rfc-editor.org/in-notes/rfc768.txt

See also Net::Packet::Layer and Net::Packet::Layer4 for other attributes and methods.

ATTRIBUTES

src
dst Source and destination ports.

length
    The length in bytes of the datagram, including layer 7 payload (that is, layer 4 + layer 7).

checksum
    Checksum of the datagram.

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    src: getRandomHighPort()

    dst: 0

    length: 0

    checksum: 0

recv
    Will search for a matching replies in framesSorted or frames from a Net::Packet::Dump object.

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

getPayloadLength
    Returns the length in bytes of payload (layer 7 object).

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock